<?php

class Auth extends MY_Controller {

    public function  __construct() {
	parent::__construct();
	$this->load->database();
    }

    public function index() {
		$this->load->helper('url');
		$this->load->helper('form');
		$this->load->library('form_validation');

		$this->form_validation->set_rules('username', 'Felh nev', 'required|min_length[4]|max_length[32]|alpha_dash');
		$this->form_validation->set_rules('password', 'Jelszo', 'required|min_length[4]|max_length[32]|alpha_dash');

		if ($this->form_validation->run() == FALSE)
		{
			//Nem sikerult
			//$this->load->view('auth');
			$this->display_template('auth', array(
			'is_auth'   => isset($this->user_id)
			));

			//hook eseten a template hivas igy kellene
			//$this->view = 'auth';
		}
		else
		{
			$username = set_value('username');
			$password = set_value('password');
			if ( $this->simplelogin->login($username, $password) ) {
				redirect('/images/index2');
			} else {
				//$this->load->view('auth');
				$this->display_template('auth');
			}
		}
    }

    function logout() {
   	//Logout
	$this->simplelogin->logout();
	redirect('/auth/index');
    }

    public function create() {
	$this->load->helper('url');
	$this->load->helper('form');
	$this->load->library('form_validation');

	$this->form_validation->set_rules('username', 'Felh nev', 'required|min_length[4]|max_length[32]|alpha_dash');
	$this->form_validation->set_rules('password', 'Jelszo', 'required|min_length[4]|max_length[32]|alpha_dash');

	if ($this->form_validation->run() == FALSE)
	{
	    //Nem sikerult
	    $this->load->view('auth_create');
	}
	else
	{
	    $username = set_value('username');
	    $password = set_value('password');
	    if ( $this->simplelogin->create($username, $password) ) {
		redirect('/albums');
	    } else {
		$this->load->view('auth_create');
	    }
	}
    }

}

/* End of file welcome.php */
/* Location: ./system/application/controllers/welcome.php */