<?php

class Albums_Model extends Model {
	
	function Albums_Model() {
	    parent::Model();
	    $this->load->database();
	}

	function get_albums($id = '', $nev = '', $leiras = '') {
	    $sql =
		"select id, nev, leiras
		from albums
		where id like ? and
		    nev like ? and
		    leiras like ?
		order by nev";
	    $result = $this->db->query($sql, array(
		"%$id%",
		"%$nev%",
		"%$leiras%"
	    ));

	    return $result->result_array();
	}
	
	function get_album($id = '') {
	    $result = $this->db->query(
		"select id, nev, leiras from albums where id=?",
		$id
	    );
	    
	    return $result->row_array();
	}

	function update_album($id = null, $nev = '', $leiras = '') {
		return $this->db->update(
		    'albums',
		    array(
			'nev'	=> $nev,
			'leiras'    => $leiras
		    ),
		    array(
			'id'	=> $id
		    )
		);
	}

	function insert_album($nev = '', $leiras = '', $user_id = 0) {
		return $this->db->insert(
		    'albums',
		    array(
			'nev'		 => $nev,
			'leiras'	 => $leiras,
			'user_id'	 => $user_id
		    )
		);
	}

	function delete_album($id = null) {
		return $this->db->delete(
		    'albums',
		    array('id' => $id)
		);
	}
		
}
